# objects.connect

Connects a signal to a slot

Usage

    objects.connect <source_object> <signal_name> <target_object> <slot_name>

Description
Connects the <source_object>'s signal <signal_name> to the <target_object>'s slot <slot_name>. When one of the two objects is destroyed, the signal/slot connection is automatically removed. WARNING: This command name collides with the rfc2812 CONNECT IRC Op command: this IRC command is available to operators only and is rather rarely used: you can use it by the means of raw.
Syntax Specification

    objects.connect <source_object:hobject> <signal_name:string> <target_object:hobject> <slot_name:string>

See also
class, object.disconnect, objects documentation

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013